Forum > Linux

Missing Graphtype for installation?

(1/1)

teresa:
I have to update Lazarus since MariaDB has updated and the MySQL connector verion 5.7 at least is required. The distro (openSUSE Leap) has only old versions in repositories, so I ignored them.

I installed fpc 3.2.2 - apparently successfully - in /usr/local

Downloaded lazarus-3.2.0.tar.gz, extracted it, (into ~/lazarus) ran 'make clean', then 'make bigide' as usual.

This failed quite quickly, with the message 'cannot find unit GraphType used by LMessages'. but
I can find  graphtype.pp in ~/lazarus/components/lazutils  which generates the unit GraphType

What's happening here?

I'll append the log - help would really be appreciated.

Teresa


--- Code: Text  [+][-]window.onload = function(){var x1 = document.getElementById("main_content_section"); if (x1) { var x = document.getElementsByClassName("geshi");for (var i = 0; i < x.length; i++) { x[i].style.maxHeight='none'; x[i].style.height = Math.min(x[i].clientHeight+15,306)+'px'; x[i].style.resize = "vertical";}};} ---/usr/bin/rm -f units/x86_64-linux/alllclunits.ppu/usr/bin/rm -f ../units/x86_64-linux/fcllaz.ppu/usr/bin/mkdir -p units/x86_64-linux/usr/bin/mkdir -p ../units/x86_64-linux/usr/local/bin/ppcx64 -MObjFPC -Scghi -O1 -g -gl -l -vewnhibq -Fu. -Fu/usr/local/lib/fpc/3.2.2/units/x86_64-linux/rtl -FE. -FU../units/x86_64-linux -Cg -Fl/usr/lib64/gcc/x86_64-suse-linux/7 -dx86_64 fcllaz.pas/usr/local/bin/ppcx64 -gl -Sic -Fu../packager/units/x86_64-linux -Fu../components/lazutils/lib/x86_64-linux -Fu../components/freetype/lib/x86_64-linux -Fu. -Funonwin32 -Fuforms -Fuwidgetset -Fu/usr/local/lib/fpc/3.2.2/units/x86_64-linux/rtl -Fiinclude -FE. -FUunits/x86_64-linux -Cg -Fl/usr/lib64/gcc/x86_64-suse-linux/7 -dx86_64 alllclunits.ppHint: (11030) Start of reading config file /etc/fpc.cfgHint: (11031) End of reading config file /etc/fpc.cfgFree Pascal Compiler version 3.2.2 [2021/05/16] for x86_64Copyright (c) 1993-2021 by Florian Klaempfl and others(1002) Target OS: Linux for x86-Free Pascal Compiler version 3.2.2 [2021/05/16] for x86_64Copyright (c) 1993-2021 by Florian Klaempfl and othersTarget OS: Linux for x86-64Compiling alllclunits.ppCompiling checklst.pasCompiling lcltype.pplcltype.pp(1136,36) Note: Values in enumeration types have to be ascendingCompiling lclintf.pasCompiling lmessages.pplmessages.pp(31,3) Fatal: Can't find unit GraphType used by LMessagesFatal: Compilation aborted 

teresa:
Seems that $MAKEFLAGS "-j 6" was too much for something, although I'm quite sure it was set to that value last time I built Lazarus (v2.0. from memory).

Resetting to "-j 1" has completed the compilation. 

Navigation

[0] Message Index

Go to full version